package com.djhk.uav.policeInfo.service;



import com.djhk.common.api.domain.PoliceInfo;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-07-08
 */
public interface IPoliceInfoService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param BGDH 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public PoliceInfo selectPoliceInfoByBGDH(String BGDH);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param policeInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<PoliceInfo> selectPoliceInfoList(PoliceInfo policeInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param policeInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertPoliceInfo(PoliceInfo policeInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param policeInfo 【请填写功能名称】
     * @return 结果
     */
    public int updatePoliceInfo(PoliceInfo policeInfo);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param BGDHs 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deletePoliceInfoByBGDHs(String[] BGDHs);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param BGDH 【请填写功能名称】主键
     * @return 结果
     */
    public int deletePoliceInfoByBGDH(String BGDH);
}
